Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.persistence
Class XmlArrayList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList
              com.thoughtworks.xstream.persistence.XmlArrayList

All Implemented Interfaces:
  Iterable, Collection, List

    public class XmlArrayList

extends AbstractList

A persistent list implementation backed on a XmlMap.

Author:
  Guilherme Silveira

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`XmlArrayList(PersistenceStrategy persistenceStrategy)`

Method Summary
`void` | `add(int index, Object element)`
`Object` | `get(int index)`
`Object` | `remove(int index)`
`Object` | `set(int index, Object element)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### XmlArrayList

    public XmlArrayList(PersistenceStrategy persistenceStrategy)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List`
  Overrides:
    `set` in class `AbstractList`

### add

    public void add(int index,
                    Object element)

  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `AbstractList`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`
  Overrides:
    `remove` in class `AbstractList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.